Cacti (home)ForumsDocumentation

This is an old revision of the document!


Installing Under Unix

Please make sure, the following packages are installed according to your operating systems requirements. Verify, that httpd and mysqld are started at system startup.

Required Packages for RPM-based Operating Systems

  • httpd
  • php
  • php-mysql
  • php-snmp
  • php-ldap (when using LDAP authentication)
  • php-xml
  • mysql
  • mysql-server
  • net-snmp

Ports for FreeBSD

  • “www/apache2”
  • “net/rrdtool”
  • “net/net-snmp”
  • “www/php4-cgi”
  • “lang/php4” (With MySQL and SNMP Support)
  • “databases/mysql323-server”

Configuration of Software Packages

Distribution Specific Installation Instructions

Unfortunately, Cacti packages from different Linux distribution may deviate from the descriptions above. A further root cause of installation trouble is different file layout, e.g. between Red Hat and Debian based distributions.






Personal Tools